View unanswered posts | View active topics It is currently Tue Jul 22, 2014 1:27 pm



Post new topic Reply to topic  [ 13 posts ]  Go to page 1, 2  Next
 openrpg_dev mini issue 
Author Message

Joined: Thu Dec 10, 2009 4:16 pm
Posts: 89
Post openrpg_dev mini issue
I thought this had gotten fixed awhile back when we fixed the fog issue but it seems to have cropped back up for me.

While I can load mini's to the map and move them only one other player can see them and move them, the other players cannot see them.

The other player that can see them is running an older version of openrpg ( not sure which ) the others are running the current version.

If I try moving mini's that were uploaded by the other players then only me and the one other guy will see them move.

I received only one crash report.

File "/Users/paul/openrpg_dev/orpg/mapper/map.py", line 290, in on_paint
self.layers['miniatures'].layerDraw(dc, [topleft[0]/scale, topleft[1]/scale], [clientsize[0]/scale, clientsize[1]/scale])
File "/Users/paul/openrpg_dev/orpg/mapper/miniatures.py", line 607, in layerDraw
m.draw(dc, self)
File "/Users/paul/openrpg_dev/orpg/mapper/miniatures.py", line 384, in draw
if len(label):
TypeError: object of type 'NoneType' has no len()


I haven't played in a couple of months so I'm not sure when this went wrong.


Mon Sep 06, 2010 9:52 pm
Profile

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: openrpg_dev mini issue
Are you on the dev version I put out? the 1.8.1.0 version? or a 1.8.0 version?

Yes that sounds like a problem with compatibility of the mini messages for the map. And I thought I had that fixed. I assume the other players can all load and move their minis without a problem.

As prof.ebral says we haven't been updating the date of the build on the 1.8.0 builds (I didn't know it was there) and the program doesn't bother to display the 4th digit so if you are using mercurial to grab the files directly it may not be clear what version you have. I recall looking at this before more comprehensively a while back. I'm doing fine with my dev version vs another player with the dev version.........


Tue Sep 07, 2010 11:38 pm
Profile

Joined: Thu Dec 10, 2009 4:16 pm
Posts: 89
Post Re: openrpg_dev mini issue
The version you put out.

OpenRPG Version: 1.8.1
OpenRPG Build: 100505-00

Yah every one else has no problems with their mini's. The problem only shows up when I add mini's.

I thought maybe something had gotten changed since last time I played so I did a mercurial pull and it didn't show any changes.


Wed Sep 08, 2010 12:07 am
Profile

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: openrpg_dev mini issue
Hm. Seemed to reproduce that vs 1.8.0 as an initial install but not 1.8.0.5 which is the current updated release 1.8.0 version.

You might want to read my old research on this which is here:

https://www.assembla.com/wiki/show/open ... ing_System

You would be on the "new" system now. Everyone else the "old" except maybe the guy with a very old system. Note: it starts talking about plugin custom messages but is applicable to eg mini / map messages too as discussed later as it gets into it more. As you'll see the problem can be mostly fixed on the server side and I added code to do so for some messages but I am not sure if it got added for the map. So the version the server you use is on is relevant. What server do you use?


Wed Sep 08, 2010 1:18 am
Profile

Joined: Thu Dec 10, 2009 4:16 pm
Posts: 89
Post Re: openrpg_dev mini issue
We were using OpenRPG Veav 1

I'll have to read through the old research when I get more time thanks for the link.


Wed Sep 08, 2010 1:58 am
Profile

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: openrpg_dev mini issue
Perhaps a compatibility mode would work to fix it without reversing the changes DJ Gilcrease wanted (ie fixing the XML to be valid). A setting to send old style messages.

Try against a newer server like Mayhem's.


Wed Sep 08, 2010 5:55 am
Profile

Joined: Thu Dec 10, 2009 4:16 pm
Posts: 89
Post Re: openrpg_dev mini issue
ok I'll see if I can get them to try mayhem next time we play ( which probably wont be for a couple of weeks ).


Wed Sep 08, 2010 2:48 pm
Profile
User avatar

Joined: Wed Dec 09, 2009 9:39 pm
Posts: 712
Post Re: openrpg_dev mini issue
I am pretty sure I fixed this problem already in Ornery Orc.

_________________
I ate your Death Knell.
The Traipse Movement
Please show your support for Traipse OpenRPG http://www.facebook.com/MadMathLabs
Send me Traipse OpenRPG Ideas, Bugs, Complaints, Praises here: https://getsatisfaction.com/mml


Wed Sep 08, 2010 2:57 pm
Profile YIM WWW

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: openrpg_dev mini issue
It's not really a problem that can be fixed. DJ Gilcrease wanted the messages to be XML compliant. They are now but that implies a lapse of backwards compatibility which I was not happy with and made some attempts to mitigate.

But this is only an issue for the 1.8.1 dev version, not the general release version 1.8.0.5

I should check if a 1.8.0.5 server is good enough to solve the problem. If not I can stuff in a "use old style messaging" setting perhaps. That might be more of a nod that having a client automatically figure out what sort of messaging it''s being sent. Personally I could care less if the messaging is valid XML or not as long as it works, although having said that it is easier to manipulate with an XML library and less error prone.

Some of the really old messages still work. They used to send some real crap down the line. Basically just pure text. Some of the old servers introduction messages are good examples.


Wed Sep 08, 2010 11:09 pm
Profile

Joined: Thu Dec 10, 2009 6:37 am
Posts: 335
Post Re: openrpg_dev mini issue
The 1.8.1 dev version seems to work against 1.8.0.5 (the latest release version on the updater) on Blackstar which is server v 1.7.2

Also worked fine with server 1.7.0 (OpenRPG DEV II server), 1.7.1 (OpenRPG Veav 1)

Hmm, maybe the problem is against 1.8.0 the fresh install, unupdated to 1.8.0.5?


Fri Sep 10, 2010 1:52 pm
Profile
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 13 posts ]  Go to page 1, 2  Next


Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group.
Designed by Vjacheslav Trushkin for Free Forums/DivisionCore.